# Gnome::Gda::DataModelIterError Class Reference

Inheritance diagram for Gnome::Gda::DataModelIterError:
[legend]
Collaboration diagram for Gnome::Gda::DataModelIterError:
[legend]

List of all members.

## Public Types

enum | Code { DATA_MODEL_ITER_COLUMN_OUT_OF_RANGE_ERROR }

## Public Member Functions

| DataModelIterError (Code error_code, const Glib::ustring& error_message)
| DataModelIterError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gnome::Gda::DataModelIterError::Code

Enumerator:

  DATA_MODEL_ITER_COLUMN_OUT_OF_RANGE_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::DataModelIterError::DataModelIterError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::DataModelIterError::DataModelIterError | ( | GError * | gobject ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::DataModelIterError::code | ( | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/datamodeliter.h